package com.zhili.stationserver.dto;

import com.zhili.stationserver.annotation.ProtocalTranform;
import com.zhili.stationserver.annotation.TransformField;
import lombok.Data;

import static com.zhili.stationserver.constant.TransformType.STRING_TYPE;
import static com.zhili.stationserver.constant.TransformType.UINT_TYPE;

/**
 * @author jek
 */
@Data
@ProtocalTranform(command = StationMessage.CommandType.AUTO_CHARGE_REPLY, size = 33)
public class AutoChargeReply {
    String stationCode;
    String type;
    @TransformField(start = 0, type = UINT_TYPE)
    private Integer chargerId;
    @TransformField(start = 1, type = UINT_TYPE)
    private Integer gunNo;
    // 0-成功 1-失败
    @TransformField(start = 2, type = UINT_TYPE)
    private Integer state;
    @TransformField(start = 3, type = STRING_TYPE,length = 30)
    private String msg;
}
