package com.zhili.stationserver.dto;

import com.zhili.stationserver.annotation.ProtocalTranform;
import com.zhili.stationserver.annotation.TransformField;
import lombok.Data;

import static com.zhili.stationserver.constant.TransformType.*;
/**
 * @author zhaoyuanqi
 */
@Data
@ProtocalTranform(command = StationMessage.CommandType.PERCEPTION_BAT_GUN_STATE, size = 86)
public class BatGunStateDto {
    private String stationCode;
    @TransformField(start = 0, type = UINT_TYPE)
    private Integer chargerId;
    @TransformField(start = 1, type = UINT_TYPE)
    private Integer chgType;
    @TransformField(start = 2, type = UINT_TYPE)
    private Integer connStateA;
    @TransformField(start = 3, type = UINT_TYPE)
    private Integer connStateB;
    @TransformField(start = 4, type = UINT_TYPE)
    private Integer chgStateA;
    @TransformField(start = 5, type = UINT_TYPE)
    private Integer chgStateB;
    @TransformField(start = 6, type = FLOAT_TYPE, length = 2, accuracy = 0.01f)
    private Float socA;
    @TransformField(start = 8, type = FLOAT_TYPE, length = 2, accuracy = 0.01f)
    private Float socB;
    @TransformField(start = 10, type = STRING_TYPE,length = 17)
    private String vinA;
    @TransformField(start = 27, type = STRING_TYPE,length = 17)
    private String vinB;
    @TransformField(start = 44, type = UINT_TYPE)
    private Integer vinStateA;
    @TransformField(start = 45, type = UINT_TYPE)
    private Integer vinStateB;
    @TransformField(start = 46, type = STRING_TYPE,length = 10)
    private String vinPlateA;
    @TransformField(start = 56, type = STRING_TYPE,length = 10)
    private String vinPlateB;
    @TransformField(start = 66, type = UINT_TYPE,length = 4)
    private Integer chgSecA;
    @TransformField(start = 70, type = UINT_TYPE,length = 4)
    private Integer chgSecB;
    @TransformField(start = 74, type = FLOAT_TYPE, length = 4, accuracy = 0.01f)
    private Float chgPowerA;
    @TransformField(start = 78, type = FLOAT_TYPE, length = 4, accuracy = 0.01f)
    private Float chgPowerB;
    @TransformField(start = 82, type = UINT_TYPE,length = 2)
    private Integer chgTimeA;
    @TransformField(start = 84, type = UINT_TYPE,length = 2)
    private Integer chgTimeB;
}
