package com.zhili.stationserver.dto;


import com.zhili.stationserver.annotation.ProtocalTranform;
import com.zhili.stationserver.annotation.TransformField;
import lombok.Data;

import java.util.Date;
import java.util.Map;

import static com.zhili.stationserver.constant.TransformType.*;


/**
 * @author ：HuangBin
 * @description：TODO
 * @date ：2023/4/10 17:38
 */
@Data
@ProtocalTranform(command = StationMessage.CommandType.PERCEPTION_EXCHANGE_INFO, size = 356)
public class PerceptionExchangeInfoDto {
    String stationCode;
    @TransformField(start = 0, type = DATE_TYPE)
    Date time;
    @TransformField(start = 8, type = STRING_TYPE, length = 13)
    String exchangeNo;
    @TransformField(start = 21, type = UINT_TYPE)
    Integer startMode;
    @TransformField(start = 22, type = UINT_TYPE)
    Integer startBatChoosedMode;
    @TransformField(start = 23, type = STRING_TYPE, length = 36)
    String startDriverId;
    @TransformField(start = 59, type = STRING_TYPE, length = 16)
    String startDriverPhone;
    @TransformField(start = 75, type = STRING_TYPE, length = 36)
    String startNickName;
    @TransformField(start = 111, type = STRING_TYPE, length = 36)
    String startAdminId;
    @TransformField(start = 147, type = STRING_TYPE, length = 36)
    String startAdminName;
    @TransformField(start = 183, type = TIME_STRING_TYPE)
    String startTime;
    @TransformField(start = 191, type = TIME_STRING_TYPE)
    String snapshotVehOnboardTime;
    @TransformField(start = 199, type = STRING_TYPE, length = 10)
    String snapshotVehPlate;
    @TransformField(start = 209, type = STRING_TYPE, length = 20)
    String snapshotVehVin;
    // key为“{i}” i=1->8
    Map<String, BatInfoDto> snapshotBatInfos;
    // key为“{i}” i=1->8
    Map<String, ChargerStateDto> snapshotChgStates;
    // key为“{i}” i=1->8
    Map<String, BatInfoDto> snapshotBatInfosMid;
    // key为“{i}” i=1->8
    Map<String, ChargerStateDto> snapshotChgStatesMid;
    // key为“{i}” i=1->8
    Map<String, BatInfoDto> snapshotBatInfosEnd;
    // key为“{i}” i=1->8
    Map<String, ChargerStateDto> snapshotChgStatesEnd;
    @TransformField(start = 229, type = UINT_TYPE)
    Integer preparedBatTargetIdx;
    @TransformField(start = 230, type = STRING_TYPE, length = 20)
    String preparedBatTargetSn;
    @TransformField(start = 250, type = UINT_TYPE)
    Integer preparedBatTargetSoc;
    @TransformField(start = 251, type = UINT_TYPE)
    Integer preparedBatTargetSoh;
    @TransformField(start = 252, type = UINT_TYPE)
    Integer preparedVehUnlockCmd;
    @TransformField(start = 253, type = UINT_TYPE)
    Integer preparedVehUnlockState;
    @TransformField(start = 254, type = UINT_TYPE)
    Integer preparedVehUnlockExpire;
    @TransformField(start = 255, type = TIME_STRING_TYPE)
    String preparedVehUnlockTime;
    @TransformField(start = 263, type = UINT_TYPE)
    Integer preparedBatStopCmd;
    @TransformField(start = 264, type = UINT_TYPE)
    Integer preparedBatStopState;
    @TransformField(start = 265, type = UINT_TYPE)
    Integer preparedBatStopExpire;
    @TransformField(start = 266, type = TIME_STRING_TYPE)
    String preparedBatStopTime;
    @TransformField(start = 274, type = UINT_TYPE)
    Integer preparedPlcStartCmd;
    @TransformField(start = 275, type = UINT_TYPE)
    Integer preparedPlcRuningState;
    @TransformField(start = 276, type = UINT_TYPE)
    Integer preparedPlcRuningExpire;
    @TransformField(start = 277, type = TIME_STRING_TYPE)
    String preparedPlcRuningTime;
    @TransformField(start = 285, type = UINT_TYPE)
    Integer preparedDone;
    @TransformField(start = 286, type = UINT_TYPE)
    Integer preparedSuccess;
    @TransformField(start = 287, type = UINT_TYPE)
    Integer everStop;
    @TransformField(start = 288, type = UINT_TYPE)
    Integer everFault;
    @TransformField(start = 289, type = UINT_TYPE)
    Integer everPause;
    @TransformField(start = 290, type = UINT_TYPE)
    Integer everEmergency;
    @TransformField(start = 291, type = UINT_TYPE)
    Integer everManually;
    @TransformField(start = 292, type = UINT_TYPE)
    Integer exchangeDone;
    @TransformField(start = 293, type = TIME_STRING_TYPE)
    String exchangeDoneTime;
    @TransformField(start = 301, type = UINT_TYPE)
    Integer robotDone;
    @TransformField(start = 302, type = TIME_STRING_TYPE)
    String robotDoneTime;
    @TransformField(start = 310, type = UINT_TYPE)
    Integer batSourceIdx;
    @TransformField(start = 311, type = STRING_TYPE, length = 20)
    String batSourceSn;
    @TransformField(start = 331, type = UINT_TYPE)
    Integer batSourceSoc;
    @TransformField(start = 332, type = UINT_TYPE)
    Integer batSourceSoh;
    @TransformField(start = 333, type = UINT_TYPE)
    Integer batTargetIdx;
    @TransformField(start = 334, type = STRING_TYPE, length = 20)
    String batTargetSn;
    @TransformField(start = 354, type = UINT_TYPE)
    Integer batTargetSoc;
    @TransformField(start = 355, type = UINT_TYPE)
    Integer batTargetSoh;
}
