package com.zhili.stationserver.dto;


import com.zhili.stationserver.annotation.ProtocalTranform;
import com.zhili.stationserver.annotation.TransformField;
import lombok.Data;

import java.util.Date;

import static com.zhili.stationserver.constant.TransformType.*;


/**
 * @author ：HuangBin
 * @description：TODO
 * @date ：2023/4/6 20:01
 */
@Data
@ProtocalTranform(command = StationMessage.CommandType.PERCEPTION_VEH, size = 63)
public class PerceptionVehInfoDto {
    String stationCode;
    @TransformField(start = 0, type = DATE_TYPE)
    Date time;
    @TransformField(start = 8, type = UINT_TYPE)
    Integer onboardState;
    @TransformField(start = 9, type = TIME_STRING_TYPE)
    String onboardTime;
    @TransformField(start = 17, type = UINT_TYPE)
    Integer plateRecognized;
    @TransformField(start = 18, type = STRING_TYPE, length = 10)
    String plate;
    @TransformField(start = 28, type = STRING_TYPE, length = 20)
    String vin;
    @TransformField(start = 48, type = UINT_TYPE)
    Integer authState;
    @TransformField(start = 49, type = UINT_TYPE)
    Integer tboxConnState;
    @TransformField(start = 50, type = UINT_TYPE)
    Integer lockState;
    //电池soh
    @TransformField(start = 51, type = FLOAT_TYPE, accuracy = 0.1f, length = 4)
    Float soh;
    //电池soc
    @TransformField(start = 55, type = FLOAT_TYPE, accuracy = 0.1f, length = 4)
    Float soc;
    //当前费率模型id
    @TransformField(start = 59, type = UINT_TYPE, length = 4)
    Integer modelId;

}
