package com.zhili.stationserver.dto;

import com.zhili.stationserver.annotation.ProtocalTranform;
import com.zhili.stationserver.annotation.TransformField;
import lombok.Data;
import lombok.NoArgsConstructor;

import static com.zhili.stationserver.constant.TransformType.STRING_TYPE;
import static com.zhili.stationserver.constant.TransformType.UINT_TYPE;

@Data
@ProtocalTranform(command = StationMessage.CommandType.REPLY_EXCHANGE, size = 147)
@NoArgsConstructor
public class StartEventReplyDTO {

    @TransformField(start = 0, type = STRING_TYPE, length = 32)
    String exchangeNo;
    /*** 指令编号*/
    @TransformField(start = 32, type = STRING_TYPE, length = 32)
    String cmdNo;
    @TransformField(start = 64, type = UINT_TYPE)
    int result;
    @TransformField(start = 65, type = STRING_TYPE, length = 50)
    String msg;
    @TransformField(start = 115, type = STRING_TYPE, length = 32)
    String orderId;
    String stationCode;


}
