package com.zhili.stationserver.dto;

import com.zhili.stationserver.annotation.ProtocalTranform;
import com.zhili.stationserver.annotation.TransformField;
import lombok.Data;

import static com.zhili.stationserver.constant.TransformType.STRING_TYPE;
import static com.zhili.stationserver.constant.TransformType.UINT_TYPE;

/**
 * @author jek
 */
@Data
@ProtocalTranform(command = StationMessage.CommandType.STATION_INFO, size = 1017)
public class StationInfoDto {

    //站点编号
    @TransformField(start = 0, type = STRING_TYPE, length = 11)
    String stationCode;
    //总插枪数
    @TransformField(start = 12, type = UINT_TYPE)
    Integer guns;
    //可用插枪数
    @TransformField(start = 13, type = UINT_TYPE)
    Integer avaGuns;
    //总仓内电池数
    @TransformField(start = 14, type = UINT_TYPE)
    Integer batteries;
    //仓内可用电池数量
    @TransformField(start = 15, type = UINT_TYPE)
    Integer avaBatteries;
    //在线车辆数
    @TransformField(start = 16, type = UINT_TYPE)
    Integer onlineVeh;
    //换电仓位列表数据对象
    @TransformField(start = 17, type = STRING_TYPE, length = 500)
    String chgSwapList;
    //插枪充电列表数据对象
    @TransformField(start = 517, type = STRING_TYPE, length = 500)
    String chgPilesList;

}
